> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kicks.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Search products from multiple platforms

> How to search products from multiple platforms using KicksDB

KicksDB aggregates data from multiple platforms and cross-matches them to provide a unified view of the product.
It's useful when you want to compare prices, images, and overall data of a product.

In December 2025, we have over 1.6M products in our database and around 340k of them posses at least one related product on another platform.
We keep improving our cross-matching algorithm to provide the most accurate results.

<div className="flex flex-wrap items-baseline gap-x-2">
  <h2>
    Search products from multiple platforms
  </h2>

  <a href="https://api.kicks.dev/docs#tag/unified-api/GET/v3/unified/products/{identifier}" target="_blank" class="border-0">
    <Badge icon="info" color="green">
      API Reference
    </Badge>
  </a>

  <Badge icon="lock" color="orange">
    Premium Feature
  </Badge>
</div>

You can search for a product by its SKU, Product ID or Slug. Slug is the recommended way to search for a product because SKU might have special characters or spaces and Product ID might overlap other products from different platforms.

Request example:

```http theme={null}
GET https://api.kicks.dev/v3/unified/products/air-jordan-4-retro-white-cement-2025
```

Response example:

```json theme={null}
{
  "$schema": "https://api.kicks.dev/schemas/RespListUnifiedProductBody.json",
  "data": [
    {
      "shop_name": "flightclub",
      "slug": "air-jordan-4-retro-og-white-cement-2025-fv5029-100",
      "source_product_id": "1487425",
      "name": "Jordan 4 Retro OG 'White Cement' 2025",
      "brand": "Air Jordan",
      "model": "Air Jordan 4",
      "images": [
        "https://cdn.flightclub.com/TEMPLATE/463428/1.jpg",
        "https://cdn.flightclub.com/TEMPLATE/463428/2.jpg",
        "https://cdn.flightclub.com/TEMPLATE/463428/3.jpg",
        "https://cdn.flightclub.com/TEMPLATE/463428/4.jpg"
      ],
      "sku": "FV5029 100",
      "link": "https://www.flightclub.com/air-jordan-4-retro-og-white-cement-2025-fv5029-100",
      "prices": {
        "4": 396,
        "5": 2059,
        "6": 2589,
        "7": 269,
        "8": 265,
        "9": 262,
        "10": 265,
        "11": 285,
        "12": 278,
        "13": 274,
        "14": 279,
        "15": 299,
        "16": 331,
        "17": 240,
        "18": 248,
        "10.5": 281,
        "11.5": 271,
        "12.5": 294,
        "3.5": 2589,
        "4.5": 2589,
        "5.5": 2589,
        "6.5": 2059,
        "7.5": 263,
        "8.5": 270,
        "9.5": 264
      },
      "barcodes": [
        "197863039336",
        "197863037004",
        "197863038216",
        "197863038131",
        "197863040806",
        "197863037196",
        "197863038551",
        "197863038162",
        "197863037172",
        "197863036434",
        "197863035918",
        "197863038834",
        "197863039695",
        "197863042206",
        "197863036557",
        "197862966572",
        "197862977059",
        "197863040479",
        "197863038414",
        "197863038902"
      ],
      "product_type": "sneakers",
      "metadata": {
        "cluster_id": "b1e9d0bbec398180",
        "colorway": "Summit White/Fire Red/Tech Grey/Black",
        "release_date": "2025-05-24T23:59:59.999Z"
      },
      "updated_at": "2025-12-08T09:07:58Z"
    },
    {
      "shop_name": "flightclub",
      "slug": "air-jordan-4-retro-og-gs-white-cement-2025-ib4171-100",
      "source_product_id": "1557903",
      "name": "Jordan 4 Retro OG GS 'White Cement' 2025",
      "brand": "Air Jordan",
      "model": "Air Jordan 4",
      "images": [
        "https://cdn.flightclub.com/TEMPLATE/489647/1.jpg",
        "https://cdn.flightclub.com/TEMPLATE/489647/2.jpg",
        "https://cdn.flightclub.com/TEMPLATE/489647/3.jpg",
        "https://cdn.flightclub.com/TEMPLATE/489647/4.jpg"
      ],
      "sku": "IB4171 100",
      "link": "https://www.flightclub.com/air-jordan-4-retro-og-gs-white-cement-2025-ib4171-100",
      "prices": {
        "4": 158,
        "5": 179,
        "6": 212,
        "7": 223,
        "3.5": 166,
        "4.5": 165,
        "5.5": 216,
        "6.5": 229
      },
      "barcodes": [
        "197862988819",
        "197862989427",
        "197862988185",
        "197862977059",
        "197862985689",
        "197862966572",
        "197862973013",
        "197862983746"
      ],
      "product_type": "sneakers",
      "metadata": {
        "cluster_id": "b1e9d0bbec398180",
        "colorway": "White/Tech Grey/Black/Fire Red",
        "release_date": "2025-05-24T23:59:59.999Z"
      },
      "updated_at": "2025-12-08T09:07:58Z"
    },
    // ... more products ...
  ],
  "meta": null
}
```

## Remarks

* Our algorithm uses only deterministic identifiers in order to avoid false-positives, however, this does not guarantee 100% accuracy.
* You can use the `similarity` parameter to filter products with a similarity score in addition to the existing cross-matching algorithm. The default threshold is 0.85.
* Some products might have multiple matches in the same platform, this can happen for multiple reasons:
  * The platform did not tag the product with the correct identifier
  * The product might have GS, TD variants with same identifiers
